import dataclasses


@dataclasses.dataclass()
class ConnectionGene:
    nodes: tuple[int, int]
    weight: float
    innovation_no: int
    disabled: bool = False


def reset_innovation_numbers():
    _CONNECTION_GENES.clear()


_CONNECTION_GENES: dict[tuple[int, int], ConnectionGene] = dict()
